### Method

# Cogl Framebuffer add_fence_callback

#### Declaration [src]

    CoglFenceClosure*
    cogl_framebuffer_add_fence_callback (
      CoglFramebuffer* framebuffer,
      CoglFenceCallback callback,
      void* user_data
    )

#### Description [src]

Calls the provided callback when all previously-submitted commands have been executed by the GPU.

#### Parameters

`callback`

  Type: `CoglFenceCallback`

  A `CoglFenceCallback` to be called when all commands submitted to Cogl have been executed.

`user_data`

  Type: `void*`

  Private data that will be passed to the callback.

  The argument can be `NULL`.
  The data is owned by the caller of the method.

#### Return value

Type: `CoglFenceClosure`

Non-NULL if the fence succeeded, or `NULL` if it was unable to be inserted and the callback will never be called. The user does not need to free the closure; it will be freed automatically when the callback is called, or cancelled.

The returned data is owned by the instance.
The return value can be `NULL`.